POST /data/entity-links/

Create a new entity link with data provided in the request body. JSON format is expected. Links entities together in casting relationships.

application/json

Body Required

  • entity_in_id string(uuid) Required
  • entity_out_id string(uuid) Required
  • nb_occurences integer

    Default value is 1.

  • label string

Responses

  • 201 application/json

    Entity link created successfully

    Hide response attributes Show response attributes object
    • id string(uuid)
    • entity_in_id string(uuid)
    • entity_out_id string(uuid)
    • nb_occurences integer
    • label string
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    Invalid data format or validation error

POST /data/entity-links/
curl -X POST "http://api.example.com/data/entity-links/" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "entity_in_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "entity_out_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "nb_occurences": 1,
  "label": "fixed"
}'
import requests

url = "http://api.example.com/data/entity-links/"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "entity_in_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "entity_out_id": "b24a6ea4-ce75-4665-a070-57453082c25",
    "nb_occurences": 1,
    "label": "fixed"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/data/entity-links/' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"entity_in_id":"a24a6ea4-ce75-4665-a070-57453082c25","entity_out_id":"b24a6ea4-ce75-4665-a070-57453082c25","nb_occurences":1,"label":"fixed"}'
Request examples
{
  "entity_in_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "entity_out_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "nb_occurences": 1,
  "label": "fixed"
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "entity_in_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "entity_out_id": "c24a6ea4-ce75-4665-a070-57453082c25",
  "nb_occurences": 1,
  "label": "fixed",
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}